html[theme='dark-mode'] {
  filter: invert(1) hue-rotate(180deg);
}

body {
  line-height: 1;
  font: normal 15px/1.5em 'Helvetica Neue', Helvetica, Arial, sans-serif;
  color: #404040;
  line-height: 1.75;
  letter-spacing: 0.008em;
}

a {
  text-decoration: none;
  color: #5badf0;
}

a:hover {
  color: #0366d6;
}

/* markdown content styles */
blockquote {
  margin-top: 5px;
  margin-bottom: 5px;
  padding-left: 1em;
  margin-left: 0px;
  border-left: 3px solid #eee;
  color: #757575;
}

hr {
  display: block;
  border: none;
  height: 2px;
  margin: 40px auto;
  background: #eee;
}

table {
  width: 100%;
  margin: 40px 0;
  border-collapse: collapse;
  line-height: 1.5em;
}

th, td {
  text-align: left;
  padding-right: 20px;
  vertical-align: top;
}

table td, td {
  border-spacing: none;
  border-style: solid;
  padding: 10px 15px;
  border-width: 1px 0 0 0;
}
thead th, th {
  text-align: left;
  padding: 10px 15px;
  height: 20px;
  font-size: 13px;
  font-weight: bold;
  color: #444;
  cursor: default;
  white-space: nowrap;
  border: 1px solid #dadadc;
}

tr>td {
  border: 1px solid #dadadc;
}

tr:nth-child(odd)>td {
  background: #fcfcfc;
}

h1,
h2,
h3 {
  font-weight: 400;
}
p {
  margin-block-start: 1.5em;
  margin-block-end: 1.5em;
}
p,
pre {
  word-break: normal;
  overflow-wrap: anywhere;
}
.markdown-image img {
  max-width: 100%;
}
.anchor {
  font-size: 100%;
  visibility: hidden;
  color:silver;
}
h1:hover a,
h2:hover a,
h3:hover a,
h4:hover a {
  visibility: visible
}
.highlight pre {
  padding: 7px;
  overflow-x: auto;
}

.highlight {
  max-width: 100%;
  overflow-x: auto;
}
p code {
  font-family: SFMono-Regular, Consolas, Liberation Mono, Menlo, Courier, monospace;
  font-size: inherit;
  background-color: rgba(0, 0, 0, 0.06);
  padding: 0 2px;
  border: 1px solid rgba(0, 0, 0, 0.08);
  border-radius: 2px 2px;
  line-height: inherit;
  word-wrap: break-word;
  text-indent: 0;
}
pre code {
  font-family: SFMono-Regular, Consolas, Liberation Mono, Menlo, Courier, monospace;
}

pre.r {
  background-color: #5aacf01f;
}


/* navigation */

nav.navigation {
  padding: 20px 20px 0;
  background: #fff;
  background: rgba(255, 255, 255, 0.9);
  margin: 0 auto;
  text-align: right;
  z-index: 100;
}

nav.navigation a {
  top: 8px;
  right: 6px;
  padding: 8px 12px;
  color: #5badf0;
  font-size: 13px;
  line-height: 1.35;
  border-radius: 3px;
}
nav.navigation a:hover {
  color: #0366d6;
}

nav.navigation a.button {
  background: #5badf0;
  color: #fff;
  margin-left: 12px;
}
@media (max-width: 700px) {
  nav.navigation {
    padding: 20px 10px 0 0;
    background: #fff;
    background: rgba(255, 255, 255, 0.9);
    margin: 0 auto;
    text-align: right;
    z-index: 100;
  }
  nav.navigation a {
    top: 8px;
    right: 6px;
    padding: 8px 8px;
    color: #5badf0;
    font-size: 13px;
    line-height: 1.35;
    border-radius: 3px;
  }
}

@media (max-width: 324px) {
  nav.navigation a.button {
    display: none;
  }
}

/* toc */
.toc {
  margin: auto;
  background: #f8f8f8;
  border-radius: 0;
  padding: 10px 7px;
  margin-top: 36px;
}
.toc details summary {
  cursor: zoom-in;
  margin-inline-start: 14px;
  font-weight: 500;
}
.toc details[open] summary {
  cursor: zoom-out;
}
.toc #TableOfContents {
  margin-left: 10px;
}
.toc ul {
  padding-inline-start: 24px;
}

/* comment */
#comment {
  margin-top: 64px;
}

/* footer */
#footer {
  margin-top: 100px;
  margin-bottom: 100px;
  text-align: center;
  color: #bbbbbb;
  font-size: 14px;
}
#footer .copyright {
  margin: 20px auto;
  font-size: 15px;
}
.powerby {
  margin: 20px auto;
  font-size: 13px;
}
#footer .split {
  cursor: pointer;
}
#footer .split:hover path {
  fill: #ff3356;
  transition: 0.7s ease-out;
  cursor: pointer;;
}

#social a {
  margin: 0 4px;
}

/* main content */
.main {
  width: 100%;
  margin: 0 auto;
}

/* profile  */

.profile {
  margin: 60px auto 0 auto;
  text-align: center;
}

.profile .avatar {
  display: inline-block;
  width: 80px;
  height: 80px;
  border-radius: 50%;
}

.profile h1 {
  font-weight: 400;
  letter-spacing: 0px;
  font-size: 20px;
  color: #404040;
  margin-bottom: 0;
  margin-top: 0;
}

.profile h2 {
  font-size: 20px;
  font-weight: 300;
  color: #757575;
  margin-top: 0;
}

/* index post list */
#list-page {
  max-width: 580px;
  margin: 0 auto;
  padding: 0 24px;
}

#list-page .item {
  margin: 12px 0;
}

#list-page .title {
  display: inline-block;
  color: #404040;
  font-size: 20px;
  font-weight: 400;
  margin: 0;
  width: 80%;
}

#list-page .title a {
  color: #404040;
  display: block;
}

#list-page .title a:hover {
  color: #0366d6;
}

#list-page .date {
  width: 20%;
  float: right;
  text-align: right;
  position: relative;
  top: 1px;
  color: #bbb;
}

#list-page .summary {
  color: #757575;
  margin-top: 12px;
  word-break: normal;
  overflow-wrap: anywhere;
  margin-bottom: 36px;
}

#list-page .cover {
  width: 100px;
  height: 100px;
  background: #fff;
}

#list-page .cover img {
  width: 100%;
  text-align: center;
}

#list-page .pagination {
  margin: 48px 0;
  width: 100%;
  height: 32px;
  margin-top: 48px;
}

#list-page .pagination .pre {
  float: left;
}
#list-page .pagination .next {
  float: right;
}

/* single page */
#single {
  max-width: 680px;
  margin: 60px auto 0 auto;
  padding: 0 64px;
}

#single .title {
  text-align: center;
  font-size: 32px;
  font-weight: 400;
  line-height: 48px;
}

@media (max-width: 700px) {
  #single {
    padding: 0 18px;
    margin: 20px auto 0 auto;
  }
  #single .title {
    font-size: 24px;
    line-height: 32px;
  }
}

#single .tip {
  text-align: center;
  color: #8c8c8c;
  margin-top: 18px;
  font-size: 14px;
}
#single .tip .split {
  margin: 0 4px;
}

#single .content {
  margin-top: 36px;
}

#single .tags {
  margin-top: 24px;
}
#single .tags a {
  background: #f2f2f2;
  padding: 4px 7px;
  color: #757575;
  font-size: 14px;
  margin-right: 3px;
}
#single .tags a:hover {
  color: #0366d6;
}


#archive {
  max-width: 580px;
  margin: 0 auto;
  padding: 0 24px;
}

#archive .total {
  font-size: 15px;
}

#archive .group {
  margin: 24px auto;
}
#archive .group .key {
  font-size: 20px;
  margin-bottom: 12px;
}
#archive .group .value {
  display: block;
  font-size: 16px;
  margin-bottom: 12px;
}
#archive .group .value .date {
  display: inline-block;
  color: #999;
  min-width: 60px;
}
#archive .group .value .title {
  display: inline;
}
#archive .group .value .title a {
  color:#404040;
}
#archive .group .value .title a:hover {
  color: #0366d6;
}
#archive .group .value .tags {
  display: inline;
  margin-left: 7px;
}
#archive .group .value .tags a {
  background: #f2f2f2;
  padding: 4px 7px;
  color: #999;
  font-size: 14px;
  margin-right: 3px;
}
#archive .group .value .tags a:hover {
  color: #0366d6;
}

/* taxonomy */
#tags {
  max-width: 700px;
  margin: 48px auto 0 auto;
  padding: 0 12px;
  text-align: center;
}
#tags .tag {
  display: inline-block;
  margin: 7px 7px;
}
@media (max-width: 700px) {
  #tags {
    margin: 0 auto 0 auto;
  }
  #tags .tag {
    display: inline-block;
    margin: 4px 5px;
  }
}

#tags .tag a {
  background: #f2f2f2;
  padding: 4px 7px;
  color: #757575;
  color: #404040;
  font-size: 14px;
  margin-right: 3px;
}
#tags .tag a:hover {
  color: #0366d6;
}

/* section page */
#section {
  max-width: 580px;
  margin: 48px auto 0 auto;
  padding: 0 12px;
}

/* 404 page */
#page-404 {
  max-width: 580px;
  margin: 0 auto;
  padding: 0 24px;
}
#page-404 .item {
  margin: 12px 0 0 0;
}

#page-404 .title {
  display: inline-block;
  color: #404040;
  font-size: 15px;
  font-weight: 400;
  margin: 0;
  width: 80%;
}

#page-404 .text {
  text-align: center;
  margin-top: 60px;
}

#page-404 .read-more {
  font-weight: 300;
  font-size: 20px;
  margin-top: 48px;
  margin-bottom: 12px;
}

#page-404 .date {
  width: 20%;
  float: right;
  text-align: right;
  position: relative;
  top: 1px;
  color: #bbb;
}
